## bootchart2 0.14.0

=== Makefile ===
VER=0.14.0
PKG_NAME=bootchart2
PKG_TARBALL=$(PKG_NAME)-$(VER).tar.bz2

CC ?= gcc
CFLAGS ?= -g -Wall -O0

BINDIR ?= /usr/bin
PYTHON ?= python
DOCDIR ?= /usr/share/docs/bootchart
MANDIR ?= /usr/share/man/man1
LIBDIR ?= /lib
ifndef PY_LIBDIR
ifndef NO_PYTHON_COMPILE
PY_LIBDIR := $(shell $(PYTHON) -c "from distutils import sysconfig; print(sysconfig.get_config_var('DESTLIB'))")
else
PY_LIBDIR = /usr$(LIBDIR)/python2.6
endif
endif
PY_SITEDIR ?= $(PY_LIBDIR)/site-packages
LIBC_A_PATH = /usr$(LIBDIR)
SYSTEMD_UNIT_DIR = $(LIBDIR)/systemd/system
COLLECTOR = \
	collector/collector.o \
	collector/output.o \
	collector/tasks.o \
	collector/tasks-netlink.o \
	collector/dump.o

all: bootchart-collector bootchartd pybootchartgui/main.py

%.o:%.c
	$(CC) $(CFLAGS) $(LDFLAGS) -pthread -DVERSION=\"$(VER)\" -c $^ -o $@

bootchartd: bootchartd.in
	sed -s "s:@LIBDIR@:$(LIBDIR):g" $^ > $@

bootchart-collector: $(COLLECTOR)
	$(CC) $(CFLAGS) $(LDFLAGS) -pthread -Icollector -o $@ $^

pybootchartgui/main.py: pybootchartgui/main.py.in
	sed -s "s/@VER@/$(VER)/g" $^ > $@

py-install-compile: pybootchartgui/main.py
	install -d $(DESTDIR)$(PY_SITEDIR)/pybootchartgui
	cp pybootchartgui/*.py $(DESTDIR)$(PY_SITEDIR)/pybootchartgui
	install -D -m 755 pybootchartgui.py $(DESTDIR)$(BINDIR)/pybootchartgui
	[ -z "$(NO_PYTHON_COMPILE)" ] && ( cd $(DESTDIR)$(PY_SITEDIR)/pybootchartgui ; \
		$(PYTHON) $(PY_LIBDIR)/py_compile.py *.py ; \
		PYTHONOPTIMIZE=1 $(PYTHON) $(PY_LIBDIR)/py_compile.py *.py ); :

install-chroot:
	install -d $(DESTDIR)$(LIBDIR)/bootchart/tmpfs

install-collector: all install-chroot
	install -m 755 -D bootchartd $(DESTDIR)/sbin/bootchartd
	install -m 644 -D bootchartd.conf $(DESTDIR)/etc/bootchartd.conf
	install -m 755 -D bootchart-collector $(DESTDIR)$(LIBDIR)/bootchart/bootchart-collector

install-docs:
	install -m 644 -D README $(DESTDIR)$(DOCDIR)/README
	install -m 644 -D README.pybootchart $(DESTDIR)$(DOCDIR)/README.pybootchart
	mkdir -p $(DESTDIR)$(MANDIR)
	gzip -c bootchart2.1 > $(DESTDIR)$(MANDIR)/bootchart2.1.gz
	gzip -c bootchartd.1 > $(DESTDIR)$(MANDIR)/bootchartd.1.gz
	gzip -c pybootchartgui.1 > $(DESTDIR)$(MANDIR)/pybootchartgui.1.gz

install-service:
	mkdir -p $(DESTDIR)$(SYSTEMD_UNIT_DIR)
	install -m 0644 bootchart.service \
	       bootchart-done.service \
	       bootchart-done.timer \
	       $(DESTDIR)$(SYSTEMD_UNIT_DIR)

install: all py-install-compile install-collector install-service install-docs

clean:
	-rm -f bootchart-collector bootchart-collector-dynamic \
	collector/*.o pybootchartgui/main.py bootchartd

dist:
	COMMIT_HASH=`git show-ref -s -h | head -n 1` ; \
	git archive --prefix=$(PKG_NAME)-$(VER)/ --format=tar $$COMMIT_HASH \
		| bzip2 -f > $(PKG_TARBALL)

=== debian/changelog ===
bootchart2 (0.14.0-3) unstable; urgency=low

  * Bump minimum Python version to 2.6 (Closes: #619360)

 -- David Paleino <dapal@debian.org>  Tue, 29 Mar 2011 11:19:30 +0200

bootchart2 (0.14.0-2) unstable; urgency=low

  * Fix installed files in pybootchartgui (Closes: #619165)

 -- David Paleino <dapal@debian.org>  Mon, 21 Mar 2011 20:19:40 +0100

bootchart2 (0.14.0-1) unstable; urgency=low

  * New upstream version
    - manpages added, thanks to Francesca Ciceri (Closes: #611472)
  * Fix auto-reference in manpage (01-fix_manpage.patch)
  * Added Riccardo as co-maintainer (he's upstream too)

 -- David Paleino <dapal@debian.org>  Mon, 21 Mar 2011 11:05:11 +0100

bootchart2 (0.12.6-1) unstable; urgency=low

  * New upstream version
  * Upstream code switched from GPL-3+ to GPL-2+, fix this in
    debian/copyright, and do the same for debian/*
  * Riccardo Magliocchetti has been added to the list of AUTHORS.
    Congratulations, xrmx! :)
  * 00-fix_alternative_init.patch merged upstream, removed

 -- David Paleino <dapal@debian.org>  Sun, 26 Dec 2010 12:32:18 +0100

bootchart2 (0.12.4-2) unstable; urgency=low

  * Fix cmdline parsing for alternative init system, thanks to
    Riccardo Magliocchetti for the patch (Closes: #602684)

 -- David Paleino <dapal@debian.org>  Thu, 11 Nov 2010 22:22:59 +0100

bootchart2 (0.12.4-1) unstable; urgency=low

  * Initial release (Closes: #590858)

 -- David Paleino <dapal@debian.org>  Sun, 19 Sep 2010 19:07:42 +0200

=== debian/control ===
Source: bootchart2
Section: utils
Priority: optional
Maintainer: David Paleino <dapal@debian.org>
Uploaders: Riccardo Magliocchetti <riccardo.magliocchetti@gmail.com>
Build-Depends:
 debhelper (>= 8~)
 , python-support (>= 0.90.0~)
Standards-Version: 3.9.1
Homepage: http://github.com/mmeeks/bootchart
Vcs-Git: git://git.debian.org/collab-maint/bootchart2.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/bootchart2.git
XS-Python-Version: >= 2.6

Package: bootchart2
Architecture: any
Depends:
 ${shlibs:Depends}
 , ${misc:Depends}
Conflicts: bootchart
Recommends: pybootchartgui
Description: boot process performance analyser
 bootchart2 is a boot process performance analyser: a tool that lets you
 collect and analyse data from your boot process.
 bootchart2 origins from bootchart, and has some advantages over it:
 .
  - more detailed kernel charting: uses the taskstats interface, instead
    of /proc/*/stat
  - the data collector has been rewritten to make it faster
 .
 After the boot, you can view the logged data with a separately-provided
 GUI.

Package: pybootchartgui
Architecture: all
Depends:
 ${misc:Depends}
 , ${python:Depends}
Description: viewer for boot process performance analysis results
 bootchart2 is a boot process performance analyser: a tool that lets you
 collect and analyse data from your boot process.
 .
 This package provides pybootchartgui, a graphical program to view the
 data recorded by bootchart2.

## bootchart2 0.14.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VER=0.14.0
+VER=0.14.1
 PKG_NAME=bootchart2
 PKG_TARBALL=$(PKG_NAME)-$(VER).tar.bz2
 
@@ -82,3 +82,10 @@
 	COMMIT_HASH=`git show-ref -s -h | head -n 1` ; \
 	git archive --prefix=$(PKG_NAME)-$(VER)/ --format=tar $$COMMIT_HASH \
 		| bzip2 -f > $(PKG_TARBALL)
+
+test: pybootchartgui/tests
+	for f in pybootchartgui/tests/*.py;\
+	do \
+		echo "Testing $$f...";\
+		$(PYTHON) "$$f";\
+	done

=== debian/changelog ===
bootchart2 (0.14.1-1) unstable; urgency=low

  * New upstream version
    - fixed AttributeError on Trace instance (Closes: #633894)
    - use correct extension when saving pybootchartgui's output
      (Closes: #631905)
    - document available output formats for pybootchartgui
      (Closes: #631904)
  * Added missing runtime dependencies to pybootchartgui
    (Closes: #633070)
  * Patches merged upstream, removed
  * Disabled build-time testing (fails somehow)
  * Standards-Version bumped to 3.9.2, no changes needed
  * Package converted to dh_python2

 -- David Paleino <dapal@debian.org>  Wed, 07 Sep 2011 09:37:58 +0200

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 Uploaders: Riccardo Magliocchetti <riccardo.magliocchetti@gmail.com>
 Build-Depends:
  debhelper (>= 8~)
- , python-support (>= 0.90.0~)
-Standards-Version: 3.9.1
+ , python (>= 2.6.6-3~)
+Standards-Version: 3.9.2
 Homepage: http://github.com/mmeeks/bootchart
 Vcs-Git: git://git.debian.org/collab-maint/bootchart2.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/bootchart2.git
-XS-Python-Version: >= 2.6
+X-Python-Version: >= 2.6
 
 Package: bootchart2
 Architecture: any
@@ -36,6 +36,8 @@
 Depends:
  ${misc:Depends}
  , ${python:Depends}
+ , python-cairo
+ , python-gtk2
 Description: viewer for boot process performance analysis results
  bootchart2 is a boot process performance analyser: a tool that lets you
  collect and analyse data from your boot process.

## bootchart2 0.14.2

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VER=0.14.1
+VER=0.14.2
 PKG_NAME=bootchart2
 PKG_TARBALL=$(PKG_NAME)-$(VER).tar.bz2

=== debian/changelog ===
bootchart2 (0.14.2-1) unstable; urgency=low

  * New upstream version
  * Use linux-any as architecture for bootchart2

 -- David Paleino <dapal@debian.org>  Sun, 16 Oct 2011 17:46:54 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 X-Python-Version: >= 2.6
 
 Package: bootchart2
-Architecture: any
+Architecture: linux-any
 Depends:
  ${shlibs:Depends}
  , ${misc:Depends}

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ \
		--with python2

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_auto_test:

## bootchart2 0.14.4

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VER=0.14.2
+VER=0.14.4
 PKG_NAME=bootchart2
 PKG_TARBALL=$(PKG_NAME)-$(VER).tar.bz2

=== debian/changelog ===
bootchart2 (0.14.4-3) unstable; urgency=low

  * Added missing dependency on lsb-base (>= 3.0-6). Thanks to Adam D.
    Barratt for noticing this!

 -- David Paleino <dapal@debian.org>  Wed, 12 Dec 2012 21:25:44 +0100

bootchart2 (0.14.4-2) unstable; urgency=low

  * Acknowledge NMU.
  * Provide also an initscript (Closes: #694403)

 -- David Paleino <dapal@debian.org>  Sat, 08 Dec 2012 19:35:08 +0100

bootchart2 (0.14.4-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Apply patches supplied by upstream to fix RC bug (Closes: #642343)
    - 0001-pybootchartgui-fix-parsing-of-non-ascii-bytes-in-log.patch
    - 0002-pybootchartgui-skip-malformed-taskstats-lines.patch
    - 0003-pybootchartgui-ensure-a-MemSample-is-valid-before-st.patch
    - 0004-pybootchartgui-be-more-tolerant-when-parsing-proc_me.patch

 -- Jonathan McCrohan <jmccrohan@gmail.com>  Sat, 08 Sep 2012 13:54:28 +0100

bootchart2 (0.14.4-1) unstable; urgency=low

  * New upstream version
    - added openbox and xfce4 to EXIT_PROC (Closes: #671869, #670659)
    - added support for initramfs (Closes: #603656)
  * Updated debian/copyright
  * Standards-Version bump to 3.9.3, no changes needed

 -- David Paleino <dapal@debian.org>  Thu, 07 Jun 2012 23:25:10 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends:
  debhelper (>= 8~)
  , python (>= 2.6.6-3~)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://github.com/mmeeks/bootchart
 Vcs-Git: git://git.debian.org/collab-maint/bootchart2.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/bootchart2.git
@@ -17,6 +17,7 @@
 Depends:
  ${shlibs:Depends}
  , ${misc:Depends}
+ , lsb-base (>= 3.0-6~)
 Conflicts: bootchart
 Recommends: pybootchartgui
 Description: boot process performance analyser

=== debian/rules ===
--- 
+++ 
@@ -13,3 +13,8 @@
 
 override_dh_auto_test:
 
+override_dh_installinit:
+	dh_installinit \
+		--name=bootchart-done \
+		--no-start \
+		--update-rcd-params="start 99 1 2 3 4 5 6 . stop 99 0 ."

=== debian/watch ===
version=3
http://githubredir.debian.net/github/mmeeks/bootchart/(\d+.*)\.tar\.gz
